VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Loading Resources Strings from Shell32.DLL"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "&Save"
      Height          =   495
      Left            =   3360
      TabIndex        =   2
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Load"
      Height          =   495
      Left            =   2040
      TabIndex        =   1
      Top             =   2640
      Width           =   1215
   End
   Begin VB.ListBox List1 
      Height          =   2400
      Left            =   120
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'Load strings storeds in Resource Librarys (.dll)
'indicate for developers of multi-language.
'---------------------------------------------------
'By Mauricio Cunha
'http://www.mcunha98.cjb.net
'mcunha98@terra.com.br
'---------------------------------------------------
Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Private Declare Function LoadString Lib "user32" Alias "LoadStringA" (ByVal hInstance As Long, ByVal uID As Long, ByVal lpBuffer As String, ByVal nBufferMax As Long) As Long
Private Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long

Private Function GetResourceStringFromFile(sModule As String, idString As Long) As String
   Dim hModule As Long
   Dim nChars As Long
   Dim Buffer As String * 260

   hModule = LoadLibrary(sModule)
   If hModule Then
      nChars = LoadString(hModule, idString, Buffer, 260)
      If nChars Then GetResourceStringFromFile = Left(Buffer, nChars)
      FreeLibrary hModule
   End If
End Function

Private Sub Command1_Click()
Const LEnd = 40000
Dim L As Long
Dim MOSTRA As String
Dim FSO As Object

Set FSO = CreateObject("Scripting.FileSystemObject")

List1.Clear
Screen.MousePointer = 11
For L = 1 To LEnd
  Me.Caption = "Processing " & L & " of " & LEnd & " (resting " & LEnd - L & ")"
  MOSTRA = GetResourceStringFromFile(FSO.GetSpecialFolder(1) & "\shell32.dll", L)
  If Trim(MOSTRA) <> "" Then List1.AddItem " (" & Format(L, "000000") & ") " & MOSTRA
Next L
Screen.MousePointer = 0
End Sub

Private Sub Command2_Click()
Dim L As Long
 Open "c:\stringsid.txt" For Output As #1
 Print #1, "*** Start of document ***"
  For L = 0 To List1.ListCount - 1
   Print #1, List1.List(L)
  Next L
 Print #1, "*** End of document *** "
 Close #1
 Shell "notepad.exe c:\stringsid.txt", vbMaximizedFocus
End Sub

Private Sub Form_Resize()
 List1.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight - Command1.Height
 Command2.Move Me.ScaleWidth - Command2.Width, Me.ScaleHeight - Command2.Height
 Command1.Move Command2.Left - Command2.Width, Command2.Top
End Sub
